:root {
  --jajuma-develop-black-module: #3c3c3c;
  --jajuma-develop-module: #efb600;
  --jajuma-develop-light-module: #ffe9a3;
  --jajuma-develop-lighter-module: #fff5d5;
}
.jajuma-irc-modal .modal-header .page-main-actions {
  display: none;
}
body > .jajuma-irc-wrapper {
    display: none;
}
.jajuma-irc-wrapper {
  padding-bottom: 50px;
}
.jajuma-irc-wrapper .irc-img-container {
  flex: 0 0 75%;
  max-width: 75%;
  position: relative;
  width: 100%;
  border-radius: 8px;
  overflow: hidden;
}
.jajuma-irc-wrapper .irc-img-data {
  flex: 0 0 25%;
  max-width: 25%;
  position: relative;
  width: 100%;
  padding-left: 25px;
  padding-right: 2px;
}
.jajuma-irc-wrapper .docs-demo {
  margin-bottom: 1rem;
  overflow: hidden;
  padding: 2px;
}
.jajuma-irc-wrapper .img-container,
.jajuma-irc-wrapper .img-preview {
  background-color: #f7f7f7;
  text-align: center;
  width: 100%;
}
.jajuma-irc-wrapper .img-container {
  max-height: 497px;
  min-height: 200px;
}
.jajuma-irc-wrapper .img-container > img {
  max-width: 100%;
}
.jajuma-irc-wrapper .docs-preview {
  margin-right: 0;
  padding: 15px 15px 0;
  background: #f8f8f8;
  border-radius: 8px;
  margin-bottom: 20px;
  border: 1px solid #d5d5d5;
}
.jajuma-irc-wrapper .docs-data,
.irc-crop-resize #tab-resize {
  margin-right: 0;
  padding: 15px;
  background: var(--jajuma-develop-lighter-module);
  border-radius: 0 0 8px 8px;
  margin-bottom: 20px;
  border: 1px solid var(--jajuma-develop-module);
}
.jajuma-irc-wrapper .img-preview {
  float: left;
  margin-bottom: 1.5rem;
  margin-right: 1.5rem;
  overflow: hidden;
}
.jajuma-irc-wrapper .img-preview > img {
  max-width: 100%;
}
.jajuma-irc-wrapper .preview-lg {
  height: 300px;
  max-width: 100% !important;
}
.jajuma-irc-wrapper .preview-md {
  height: 9rem;
  width: 16rem;
}
.jajuma-irc-wrapper .preview-sm {
  height: 4.5rem;
  width: 8rem;
}
.jajuma-irc-wrapper .preview-xs {
  height: 2.25rem;
  width: 4rem;
  margin-right: 0;
}
.jajuma-irc-wrapper .docs-data > .input-group {
  margin-bottom: 1.5rem;
  display: flex;
  align-items: center;
}
.jajuma-irc-wrapper .docs-data > .input-group:nth-child(5) {
  margin-bottom: 0;
}
.jajuma-irc-wrapper .docs-data .input-group-append {
  display: inline-block;
  padding: 0 8px;
}
.jajuma-irc-wrapper .docs-data .input-group-prepend {
  min-width: 80px;
  display: inline-block;
}
.jajuma-irc-wrapper .docs-data input[type="text"] {
  background: transparent;
  border: none;
  padding: 4px 8px;
  height: 32px;
  width: 80px;
}
.jajuma-irc-wrapper .docs-data input[type="number"] {
  border: 1px solid #efb600;
  border-radius: 4px;
  background: #ffffffc7;
  padding: 4px 8px;
  height: 32px;
  width: 80px;
}
.jajuma-irc-wrapper .btn-upload .tooltip-inner,
.jajuma-irc-wrapper .btn-toggle .tooltip-inner {
  white-space: nowrap;
}
.jajuma-irc-wrapper .btn-toggle {
  padding: 0.5rem;
}
.jajuma-irc-wrapper .btn-toggle > .docs-tooltip {
  margin: -0.5rem;
  padding: 0.5rem;
}
.jajuma-irc-wrapper .docs-options .dropdown-menu {
  width: 100%;
}
.jajuma-irc-wrapper .docs-options .dropdown-menu > li {
  font-size: 0.875rem;
  padding: 0.125rem 1rem;
}
.jajuma-irc-wrapper .docs-options .dropdown-menu .form-check-label {
  display: block;
}
.jajuma-irc-wrapper .docs-cropped .modal-body {
  text-align: center;
}
.jajuma-irc-wrapper .docs-cropped .modal-body > img,
.jajuma-irc-wrapper .docs-cropped .modal-body > canvas {
  max-width: 100%;
}
.jajuma-irc-wrapper .irc-image-cropped-item {
  display: inline-block;
  width: 250px;
  margin: 10px;
  cursor: pointer;
  position: relative;
}
.jajuma-irc-wrapper .irc-image-cropped-item.selected {
  border: 3px solid #cecece;
  box-shadow: 3px 5px 12px #aaa;
}
.jajuma-irc-wrapper .remove-irc-button {
  position: absolute;
  top: -15px;
  right: -15px;
  padding: 4px 10px;
  border: 1px solid #ccc;
  display: block;
  background: #ccc;
  border-radius: 50%;
}
.jajuma-irc-wrapper .btn-group {
  display: flex;
}
.jajuma-irc-wrapper .hidden {
  display: none;
}
.jajuma-irc-toolbar {
  position: relative;
  display: flex;
  justify-content: end;
  align-items: center;
  background: linear-gradient(90deg, #ffe9a3 0%, #fff5d5 100%);
  padding: 10px;
  border-radius: 8px;
  margin: 0 0 15px;
  height: 80px;
  padding-left: 110px;
}
.jajuma-intro-irc {
  display: flex;
  flex-direction: column;
  position: absolute;
  left: 85px;
  height: 100%;
  justify-content: center;
}
.jajuma-intro-irc .admin__field-tooltip {
  width: 20px;
  height: 20px;
  margin-top: 5px;
  margin-bottom: 5px;
  cursor: pointer;
}
.jajuma-intro-irc .admin__field-tooltip .admin__field-tooltip-action:before {
  display: none;
}
.jajuma-intro-irc .admin__field-tooltip .admin__field-tooltip-content:after,
.jajuma-intro-irc .admin__field-tooltip .admin__field-tooltip-content:before {
  left: -32px;
  top: 50%;
  transform: translateY(-50%) rotate(90deg);
}
.jajuma-intro-irc .admin__field-tooltip .admin__field-tooltip-content:before {
  border-top-color: #afadac75;
}
.jajuma-intro-irc .abs-admin__field-tooltip-content,
.jajuma-intro-irc .admin__field-tooltip .admin__field-tooltip-content,
.jajuma-intro-irc .gift-options-tooltip {
  left: calc(100% + 20px);
  border-radius: 8px;
  border: none;
  top: 50%;
  transform: translateY(-50%);
  height: fit-content;
}
.jajuma-irc-toolbar .jajuma_develop_logo_link {
  display: inline-block;
  content: "";
  width: 60px;
  height: 60px;
  vertical-align: middle;
  background-size: contain;
  background-repeat: no-repeat;
  position: absolute;
  left: 10px;
  top: 10px;
  box-shadow: 0px 3px 7px 0px rgba(0, 0, 0, 0.25);
  border-radius: 8px;
  background-image: url(../image/module-image.png);
}
.jajuma-irc-toolbar .action-help:before {
  display: none !important;
}
.jajuma-irc-toolbar .action-help.info {
  background-image: url(../image/info-icon.svg) !important;
  background-repeat: no-repeat !important;
  width: 100%;
  height: 100%;
}
.jajuma-irc-toolbar .action-help.image-optimizer {
  background-image: url(../image/optimizer-icon.svg) !important;
  background-repeat: no-repeat !important;
  width: 100%;
  height: 100%;
}
.jajuma-irc-toolbar .btn, #tab-resize .btn, #tab-crop .btn {
  margin-left: 5px;
  border: none;
  border-radius: 8px;
  color: var(--jajuma-develop-black-module);
  transition: 0.2s all ease;
  font-weight: 400;
  padding: 8px 8px 2px;
  height: 60px;
  min-width: 65px;
  background-color: rgba(0, 0, 0, 0);
  cursor: pointer;
}
.jajuma-irc-toolbar .btn {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.jajuma-irc-toolbar .docs-tooltip {
  margin-top: 5px;
  font-size: 13px;
}
.jajuma-irc-toolbar .btn:hover, #tab-resize .btn:hover, #tab-crop .btn:hover {
  background: #efb600 !important;
  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
    0 4px 6px -4px rgba(0, 0, 0, 0.1);
}
.jajuma-irc-toolbar .btn.active {
  color: #efb600 !important;
}
.jajuma-irc-toolbar .btn.active:hover {
  color: var(--jajuma-develop-black-module) !important;
}
.jajuma-irc-toolbar .btn-primary {
  background: #ffe9a3;
}
.jajuma-irc-sizing input {
  position: absolute;
  opacity: 0;
  width: 0;
}
.jajuma-irc-toolbar svg {
  height: 26px;
  display: inline-block;
}
.jajuma-irc-toolbar #irc-top-actions {
  position: relative;
  margin-left: 15px;
}
.jajuma-irc-toolbar .jajuma-irc-sizing {
  position: relative;
  margin-right: 15px;
}
.jajuma-irc-toolbar #irc-top-actions::before,
.jajuma-irc-toolbar .jajuma-irc-sizing::after {
  content: "";
  width: 1px;
  height: 40px;
  display: inline-block;
  background: #3c3c3c;
  position: absolute;
  top: 10px;
}
.jajuma-irc-toolbar .jajuma-irc-sizing::after {
  right: -10px;
}
.jajuma-irc-toolbar #irc-top-actions::before {
  left: -5px;
}
/* Irc Image Area */
.jajuma-irc-image-area {
  display: flex;
  position: relative;
}
.jajuma-preview-cropped-image {
  display: none;
}
.irc-crop-resize #tab-resize .btn {
    width: 100%;
    text-align: left;
    align-items: baseline;
    line-height: 45px;
    border-bottom: 1px solid #cccccc;
}
.irc-crop-resize #tab-feature-options .tabs-horiz {
    display: flex;
}
.irc-crop-resize #tab-feature-options li {
    margin: 0;
    border-color: var(--jajuma-develop-module);
    flex: 1;
    text-align: center;
    background: #fffcf5;
}
.irc-crop-resize #tab-feature-options li a {
    padding: 10px 15px;
    border: none;
}
.irc-crop-resize #tab-feature-options #crop-mode {
    border-right: none;
    border-top-left-radius: 8px;
}
.irc-crop-resize #tab-feature-options #resize-mode {
    border-top-right-radius: 8px;
}
.irc-crop-resize #tab-feature-options li.ui-state-active {
    background: var(--jajuma-develop-lighter-module)
}
.irc-crop-resize #tab-resize #resized-tabs .tabs-horiz,
.irc-crop-resize #tab-crop #crop-tabs .tabs-horiz {
    padding: 4px;
    border-radius: 9999px;
    background: #efb6001f;
    width: fit-content;
}
.irc-crop-resize #tab-resize #resized-tabs .tabs-horiz li,
.irc-crop-resize #tab-crop #crop-tabs .tabs-horiz li {
    margin: 0;
    border-radius: 9999px;
    border: none;
    background: none;
}
.irc-crop-resize #tab-resize #resized-tabs .tabs-horiz li.ui-state-active,
.irc-crop-resize #tab-crop #crop-tabs .tabs-horiz li.ui-state-active {
    background: var(--jajuma-develop-module);
}
.irc-crop-resize #crop-tab-crop-options-content,
.irc-crop-resize #resized-tab-crop-options-content {
    padding: 25px 0 0;
}
.irc-crop-resize .additional-resize-actions {
    margin-top: 15px;
}
.irc-crop-resize .additional-resize-actions .input-group {
    display: flex;
    gap: 8px;
}
.irc-crop-resize input {
    accent-color: var(--jajuma-develop-module);
}
/* Status after cropping */
.jajuma-irc-wrapper .cropped,
.jajuma-irc-wrapper.status-cropped .btn,
.jajuma-irc-wrapper.status-cropped #irc-top-actions::before,
.jajuma-irc-wrapper.status-cropped .jajuma-irc-sizing::after {
  display: none;
}
.jajuma-irc-wrapper.status-cropped .cropped {
  display: flex;
}
.jajuma-irc-wrapper.status-cropped #tabs-resize-info {
  display: flex;
}
.jajuma-irc-wrapper.status-cropped .btn.cropped {
  display: flex;
  min-width: 80px;
}
.jajuma-irc-toolbar .btn.cropped svg {
  height: 28px;
}
.jajuma-irc-wrapper.status-cropped .jajuma-preview-cropped-image {
  display: block;
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.8);
  border-radius: 8px;
}
.jajuma-irc-wrapper.status-cropped
  .jajuma-preview-cropped-image
  .img-preview-demo {
  position: absolute;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;
}
.jajuma-irc-wrapper.status-cropped #specific-irc-image-form {
  display: flex;
  align-items: center;
}
.jajuma-irc-wrapper.status-cropped #specific_irc_name {
  border-width: 1px;
  border-radius: 4px;
  border-color: #efb600;
  background: #ffffffc7;
  border-image: none;
  border-style: solid;
  padding: 4px 8px;
  font-weight: 400;
  height: 40px;
  display: flex;
  align-self: center;
  margin-left: 16px;
  margin-right: 20px;
  width: 400px;
}
/* Buttons outside */
button#open_irc {
    position: relative;
    margin-right: 0;
    padding: 10px 15px 10px 60px;
    background: linear-gradient(90deg, #ffe9a3 0%, #fff5d5 100%);
    border-radius: 8px;
    border: 1px solid var(--jajuma-develop-module);
}
button#open_irc:before {
    content: '';
    position: absolute;
    top: 10px;
    left: 10px;
    width: 40px;
    height: 25px;
    background-size: contain;
    background-repeat: no-repeat;
    background-image: url(../image/jajuma_develop.png);
}
#image-details-action-restore {
    margin-left: 20px;
}
/* Image Detail */
.edit-image-details .irc-image-cropped-item {
    width: fit-content;
    cursor: pointer;
    margin-right: 0;
    padding: 10px;
    border: 1px solid #d5d5d5;
    background: #f8f8f8;
    border-radius: 8px;
    margin-bottom: 20px;
    position: relative;
}
.edit-image-details .irc-image-cropped-item.selected {
    background: var(--jajuma-develop-lighter-module);
    border: 2px solid var(--jajuma-develop-module);
}
.edit-image-details .remove-irc-button {
    color: #878787;
    padding: 4px;
    border-radius: 6px;
    cursor: pointer;
    position: absolute;
    right: 5px;
    bottom: 5px;
    z-index: 100;
    background: #ffffffe3;
    box-shadow: 0px 3px 7px 0px rgba(0, 0, 0, 0.25);
    width: 32px;
    height: 32px;
}
.edit-image-details .remove-irc-button:hover {
    background: var(--jajuma-develop-module);
    color: #fff;
}
@media (max-width: 1380px) {
  .jajuma-irc-toolbar,
  .jajuma-irc-wrapper .docs-data,
  .jajuma-irc-wrapper .docs-preview {
    zoom: 0.9;
    -moz-transform: scale(0.9);
  }
}
@media (max-width: 1280px) {
  .jajuma-irc-toolbar,
  .jajuma-irc-wrapper .docs-data,
  .jajuma-irc-wrapper .docs-preview {
    zoom: 0.8;
    -moz-transform: scale(0.8);
  }
}
